#!/usr/bin/env bash

base_color=blue

modulate() {
	echo $1, $2
	mkdir -p src/main/resources/assets/phycon/textures/block/cable/$1
	for f in src/main/resources/assets/phycon/textures/block/cable/$base_color/*; do
		echo $f
		convert $f -modulate $2 src/main/resources/assets/phycon/textures/block/cable/$1/$(basename $f)
	done
	echo "---"
}

# modulate <color> <brightness>,<saturation>,<hue>
# brightness: 100 is initial, +/- 100
# saturnation: 100 is initial, +/- 100
# hue: (<gimp hue> / 180) * 100 + 100

modulate white 200,0,100
modulate orange 100,120,200
modulate magenta 100,100,146
modulate light_blue 140,65,100
modulate yellow 100,109,8
modulate lime 100,100,53
modulate pink 172,50,172
modulate gray 60,10,100
modulate light_gray 105,3,39
modulate cyan 112,65,84
modulate purple 109,76,133
modulate brown 60,45,190
modulate green 60,50,30
modulate red 100,100,176
modulate black 30,0,100

