package net.shadowfacts.phycon.frame

import net.shadowfacts.phycon.api.frame.EthernetFrame
import net.shadowfacts.phycon.api.util.MACAddress

/**
 * @author shadowfacts
 */
open class BaseFrame(
	@JvmField private val source: MACAddress,
	@JvmField private val destination: MACAddress
): EthernetFrame {
	override fun getSource() = source
	override fun getDestination() = destination
}
