package net.shadowfacts.phycon.networking

import net.fabricmc.fabric.api.client.networking.v1.ClientPlayNetworking
import net.fabricmc.fabric.api.networking.v1.ServerPlayNetworking
import net.minecraft.network.Packet
import net.minecraft.network.PacketByteBuf
import net.minecraft.util.Identifier

/**
 * @author shadowfacts
 */
interface ServerReceiver: ServerPlayNetworking.PlayChannelHandler {
	val CHANNEL: Identifier

	fun createPacket(buf: PacketByteBuf): Packet<*> {
		return ClientPlayNetworking.createC2SPacket(CHANNEL, buf)
	}
}
